Index: branches/presentation/src/lib/gui/gl/glgui_handler.cc
===================================================================
--- branches/presentation/src/lib/gui/gl/glgui_handler.cc	(revision 9126)
+++ branches/presentation/src/lib/gui/gl/glgui_handler.cc	(revision 9127)
@@ -33,4 +33,5 @@
 /// TAKE THIS OUT OF HERE.
 #include "graphics_engine.h"
+#include "loading/resource_manager.h"
 
 namespace OrxGui
@@ -74,4 +75,7 @@
     this->_cursor->show();
     this->_cursor->setMaxBorders(Vector2D(GraphicsEngine::getInstance()->getResolutionX(), GraphicsEngine::getInstance()->getResolutionY()));
+
+    _cursor->loadTextureSequence(ResourceManager::getInstance()->getDataDir() + "/" + "maps/reap_mouse/reap_mouse_##.png", 1, 49);
+
   }
 
Index: branches/presentation/src/story_entities/menu/game_menu.cc
===================================================================
--- branches/presentation/src/story_entities/menu/game_menu.cc	(revision 9126)
+++ branches/presentation/src/story_entities/menu/game_menu.cc	(revision 9127)
@@ -128,5 +128,5 @@
   this->levelsBox = NULL;
   this->networkBox = NULL;
-  
+
   this->clientNetworkBox = NULL;
   this->serverNetworkBox = NULL;
@@ -241,5 +241,5 @@
     {
       OrxGui::GLGuiBox * box = new OrxGui::GLGuiBox();
-      
+
       OrxGui::GLGuiButton* clientButton = new OrxGui::GLGuiPushButton("Client");
       box->pack(clientButton);
@@ -249,5 +249,5 @@
       box->pack(serverButton);
       serverButton->connect(SIGNAL(serverButton, released), this, SLOT(GameMenu, showServerMenu));
-      
+
       networkBox->pack( box );
     }
@@ -342,5 +342,4 @@
   OrxGui::GLGuiHandler::getInstance()->activateCursor();
   OrxGui::GLGuiHandler::getInstance()->activate();
-  OrxGui::GLGuiHandler::getInstance()->cursor()->loadTextureSequence(ResourceManager::getInstance()->getDataDir() + "/" + "maps/reap_mouse/reap_mouse_##.png", 1, 49);
 
   /* now call the underlying*/
@@ -520,5 +519,5 @@
     //this->serverNetworkBox = NULL;
   }
-  
+
   if ( !this->clientNetworkBox )
   {
@@ -528,5 +527,5 @@
       text->setText( "Host:" );
       this->clientNetworkBox->pack( text );
-      
+
       this->ipInputLine = new OrxGui::GLGuiInputLine( );
       this->ipInputLine->setText( Preferences::getInstance()->getString( "multiplayer", "lastVisitedServer", "localhost" ) );
@@ -534,5 +533,5 @@
       this->ipInputLine->connect(SIGNAL(ipInputLine, enterPushed), this, SLOT(GameMenu, connectToServer));
       this->ipInputLine->select();
-      
+
       OrxGui::GLGuiButton* connectButton = new OrxGui::GLGuiPushButton("Connect");
       clientNetworkBox->pack(connectButton);
@@ -540,9 +539,9 @@
     }
   }
-  
+
   this->networkBox->pack( this->clientNetworkBox );
-  
+
   this->clientNetworkBox->showAll();
-  
+
   //this->clientNetworkBox->setAbsCoor2D( 300.0f, 100.0f );
 }
@@ -560,5 +559,5 @@
     //this->clientNetworkBox = NULL;
   }
-  
+
   if ( !this->serverNetworkBox )
   {
@@ -568,9 +567,9 @@
       text->setText( "Map:" );
       this->serverNetworkBox->pack( text );
-      
+
       OrxGui::GLGuiText * text2 = new OrxGui::GLGuiText();
       text2->setText( "Multiplayer TeamDeathMatch Arena" );
       this->serverNetworkBox->pack( text2 );
-      
+
       OrxGui::GLGuiButton* createButton = new OrxGui::GLGuiPushButton("Create Server");
       serverNetworkBox->pack(createButton);
@@ -578,9 +577,9 @@
     }
   }
-  
+
   this->networkBox->pack( this->serverNetworkBox );
-  
+
   this->serverNetworkBox->showAll();
-  
+
   //this->serverNetworkBox->setAbsCoor2D( 300.0f, 100.0f );
 }
@@ -592,10 +591,10 @@
 {
   PRINTF(0)("Connecting to %s\n", this->ipInputLine->_getText().c_str() );
-  
+
   State::setOnline(true);
   NetworkManager::getInstance()->establishConnection( this->ipInputLine->_getText(), 9999 );
-  
+
   Preferences::getInstance()->setString( "multiplayer", "lastVisitedServer", this->ipInputLine->_getText() );
-  
+
   this->startLevel( 5 );
 }
@@ -604,8 +603,8 @@
 {
   PRINTF(0)("Create server\n" );
-  
+
   State::setOnline(true);
   NetworkManager::getInstance()->createServer( 9999 );
-  
+
   this->startLevel( 5 );
 }
